task Align {
    
    String sample_ID
    File in_fastq
    File dir_index
    
    String prefix_index

    Int sum_unmatch_quality_limit

    String docker
    String cluster_config
    String disk_size

    command <<<
        set -o pipefail
        set -e
        nt=$(nproc)


        bowtie --threads $nt \
            ${dir_index}/${prefix_index} \
            -e ${sum_unmatch_quality_limit} \
            -q ${in_fastq} \
            --un ${sample_ID}.matureUnaligned.fastq \
            -S ${sample_ID}.align2mature.sam \
        2> ${sample_ID}.align2mature.log
    >>>

    runtime {
        docker: docker
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File out_sam="${sample_ID}.align2mature.sam"
        File out_fastq="${sample_ID}.matureUnaligned.fastq"
        File out_log="${sample_ID}.align2mature.log"
    }
}
